﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Derbster.Actions
{
    internal enum WhichTeam
    {
        First,
        Second
    }

    public class GameAction<T> : IGameAction
    {
        public T State { get; set; }
        public Action<GameAction<T>> DoAction { get; set; }
        public Action<GameAction<T>> UndoAction { get; set; }

        public void Do()
        {
            DoAction(this);
        }

        public void Undo()
        {
            UndoAction(this);
        }
    }
}
