﻿using System;
using System.Collections.Generic;
using System.Data.Entity;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Derbster.Domain;

namespace Derbster.DataAccess
{
    public interface IDerbsterContext : IDisposable
    {
        IDbSet<Match> KnownMatches { get; }

        IDbSet<League> KnownLeagues { get; }
        IDbSet<Official> KnownOfficials { get; }
        IDbSet<Roster> KnownRosters { get; }
        IDbSet<Skater> KnownSkaters { get; }
        IDbSet<Team> KnownTeams { get;  }
        
        int SaveChanges();
    }
}
