﻿using System;
using System.Collections.Generic;
using System.Data.Entity;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using Derbster.Domain;

namespace Derbster.DataAccess
{
    public class GameActionContext : DbContext, IGameActionContext
    {
        public IDbSet<GameAction> GameActions { get; set; }

        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            Database.SetInitializer(new CreateDatabaseIfNotExists<GameActionContext>());
        }
    }
}
