﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Derbster.Domain
{
    public class OfficialRoster
    {
        [Key,DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public int OfficialRosterId { get; set; }

        public Official HeadOfficial { get; set; }
        public Official HeadNso { get; set; }

        public HashSet<Official> SkatingOfficials { get; set; }
        public HashSet<Official> NsoSkatingOfficials { get; set; }

        public Match Match { get; set; }
    }
}
